/* GCC */
#include <iostream>
#include <fstream>
#include <vector>

using namespace std;

long long get_next_index(long long i, const vector<long long>& sequence) {
    return (i + sequence[i]) % (sequence.size() - 1);
}

bool contains(const vector<long long> vec, long long val) {

    for (long long i = 0; i < vec.size(); ++i) {
        if (vec[i] == val) {
            return true;
        }
    }

    return false;
}

int main() {

    ifstream in("decomp.in");
    long long n;
    in >> n;

    vector<long long> sequence(n);

    for (long long i = 0; i < n; ++i) {
        long long temp;
        in >> temp;
        sequence[i] = temp;
    }

    in.close();

    vector<vector<long long> > visited_as(n, vector<long long>());
    vector<bool> visited_this_turn(n, false);

    ofstream out("decomp.out");

    long long counter = 0;

    for (long long start = 0; start < sequence.size(); ++start) {

        if (contains(visited_as[start], start)) {
            continue;
        }

        long long i = start;
        visited_this_turn[start] = true;

        //cout << "start " << start << endl;
        while (true) {

            long long new_index = i + sequence[i];
            //cout << "new_index " << new_index << endl;
            i = new_index % n;
            //cout << "i " << i << endl;

            if (visited_this_turn[i]) {

                if (i != start) {
                    //cout << i << " != " << start << endl;
                    out << -1 << endl;
                    return 0;
                }

                //cout << "counter += 1" << endl;
                // looped to start
                counter += 1;
                break;
            }

            if (contains(visited_as[i], new_index)) {
                out << -1 << endl;
                return 0;
            }

            visited_as[i].push_back(new_index);
            visited_this_turn[i] = true;
        }

        visited_this_turn.clear();
    }

    out << counter << endl;
    out.close();

    return 0;
}
