/* GCC */
#include <iostream>
#include <fstream>
#include <vector>

using namespace std;

void myswap(int& a, int& b) {

    a = a - b;
    b = a + b;
    a = b - a;
}

class Long_number {

public:

    Long_number(string str) {

        size_t num_digits = str.length();
        digits = vector<int>(num_digits);

        for (size_t i = 0; i < num_digits; ++i) {
            digits[i] = (str[num_digits - 1 - i] - '0');
        }
    };

    Long_number() {};

    void print(ostream& out) {

        for (int i = digits.size() - 1; i >= 0; --i) {
            out << digits[i] << " ";
        }

        out << endl;
    }

    int divide(int divisor, Long_number& result) {

        result.digits.resize(digits.size());
        int num_digits = digits.size();
        int num_new_digits = 0;

        int carry = 0;

        int i = num_digits - 1;

        while (i >= 0) {

            int to_divide = 10 * carry + digits[i];
            if (to_divide < divisor && to_divide != 0 && i - 1 >= 0) {

                i -= 1;
                to_divide = to_divide * 10 + digits[i];

                if (carry == 0 && num_new_digits > 0) {
                    result.digits[num_new_digits++] = 0;
                }
            }

            carry = to_divide % divisor;

            //cout << "to_divide == " << to_divide << endl;

            int divided = to_divide / divisor;

            //cout << "divided == " << divided << endl;

            if (divided <= 9) {
                result.digits[num_new_digits++] = divided;
            } else {
                result.digits[num_new_digits++] = divided / 10;
                result.digits[num_new_digits++] = divided % 10;
            }

            i -= 1;
        }

        result.digits.resize(num_new_digits);

        // Reverse the order
        for (int i = 0; i < (num_new_digits) / 2; ++i) {
            myswap(result.digits[i], result.digits[num_new_digits - 1 - i]);
        }

        return carry;
    }

private:

    vector<int> digits;
};

int main() {

    ifstream in("divisors.in");

    string number_string;
    in >> number_string;

    in.close();

    Long_number number(number_string);

    vector<int> prime_divisors;
    prime_divisors.push_back(2);
    prime_divisors.push_back(3);
    prime_divisors.push_back(5);
    prime_divisors.push_back(7);

    vector<unsigned long long> divisor_quantities(4, 0);

    Long_number divided;

    Long_number* number_p = &number;
    Long_number* divided_p = &divided;
    for (size_t i = 0; i < prime_divisors.size(); ++i) {

        while (true) {

            int mod = number_p->divide(prime_divisors[i], *divided_p);
            if (mod != 0) {break;}

            divisor_quantities[i] += 1;

            // Swap them
            Long_number* temp = number_p;
            number_p = divided_p;
            divided_p = temp;

            //number_p->print(cout);
        }
    }

    unsigned long long num_divisors = 1;
    //cout << "divisor_quantities:";
    for (size_t i = 0; i < divisor_quantities.size(); ++i) {
        num_divisors *= (divisor_quantities[i] + 1);
        //cout << " " << divisor_quantities[i];
    }
    //cout << endl;

    ofstream out("divisors.out");
    out << num_divisors << endl;
    out.close();

    return 0;
}
